<?xml version="1.0" encoding="windows-1251"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:import href="layout.xsl"/>

<xsl:template name="title">
	<xsl:choose>
		<xsl:when test="data/@action = 'Card'">  </xsl:when>
		<xsl:when test="data/@action = 'ReportDealers'"> </xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="/data">
	<xsl:choose>
		<xsl:when test="@action = 'Card'">
			<xsl:call-template name="Card"/>
		</xsl:when>
		<xsl:when test="@action = 'ReportDealers'">
			<xsl:call-template name="ReportDealers"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template name="Card">
	<form method='post' action='{$WEBEXECUTER}'>
		<xsl:call-template name="action"/>
		<xsl:call-template name="error"/>
		<div class="report">
			<table cellspacing='1' class="table800">
				<thead>
					<tr>
						<td nowrap='1'>  </td>
						<td> </td>
						<td></td>
	  				</tr>
				</thead>
				<tbody>
	  				<xsl:for-each select="cards/item">
					<tr>
						<td><xsl:value-of select="@dt"/></td>
						<td><xsl:value-of select="@nomer"/></td>
						<td><xsl:value-of select="@summa"/></td>
					</tr>
	  				</xsl:for-each>
				</tbody>
			</table>
		</div>
		<table class="filter" style="margin-top: 20px;"><tr>
			<th> :</th><td><input type="text" name="nomer" size="20" /></td>
			<th> :</th><td><input type="password" name="pswd" size="20" /></td>
			<td><xsl:call-template name="submit"/></td>
		</tr></table>
	</form>
</xsl:template>

<xsl:template name="ReportFilters">
	<table class="filter">
		<tr>
			<th colspan="2">
				
			</th>
		</tr>
		<tr>
			<td rowspan="4">
				<select size='10' style="width:95%" name='items' multiple='1'>
				  <xsl:for-each select="items/item">
					<option>
						<xsl:attribute name="value"><xsl:value-of select="@id"/></xsl:attribute>
						<xsl:if test="@selected = '1'"><xsl:attribute name="selected">1</xsl:attribute></xsl:if>
						<xsl:value-of select="@title"/>
					</option>
				  </xsl:for-each>
				</select><br/>
				<em class='comment'>   <br/>    'Ctrl'</em>
			</td>
			<td style="padding-top:10px;">
				<table><tr>
				<th>:</th>
				<td><select name='month'>
						<xsl:call-template name="month_list"/>
				</select></td>
				<th>:</th>
				<td><select name='year' style="margin-right:0px">
						<xsl:call-template name="year_list"/>
				</select></td>
				</tr></table>
			</td>
		</tr>
		<tr>
			<td style="padding-top: 10px;">
				<table width="100%"><tr>
					<th nowrap="nowrap"> :</th>
					<th width="50%" style="text-align:center">c</th>
					<td><input type="text" name="day_from" size="4" ><xsl:attribute name="value"><xsl:value-of select="date/@day_from"/></xsl:attribute></input></td>
					<th width="50%" style="text-align:center"></th>
					<td><input type="text" name="day_to" size="4" ><xsl:attribute name="value"><xsl:value-of select="date/@day_to"/></xsl:attribute></input></td>
				</tr></table>
			</td>
		</tr>
		<tr> 
         <td valign="bottom" style="padding-right:20px;">
			<xsl:call-template name="submit">
				<xsl:with-param name="title" select="''"/>
				<xsl:with-param name="guid" select="'_v'"/>
			</xsl:call-template>
         </td>
		</tr>
		</table>
</xsl:template>

<xsl:template name="ReportDealers">
<form method='post' action='{$WEBEXECUTER}' name="report">
		<xsl:call-template name="action"/>
		<xsl:call-template name="ReportFilters"/>
</form>

<xsl:variable name="items"><xsl:for-each select="items/item[@selected = '1']">&amp;items=<xsl:value-of select="@id"/></xsl:for-each></xsl:variable>
		
		<xsl:if test="dealers">
			<div>
			  :
			<a title="CSV" href="{$WEBEXECUTER}?module=card&amp;mid={/data/@mid}&amp;action=ReportDealers{$items}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;file=1&amp;output=csv">CSV</a>,
			<a title="HTML" href="{$WEBEXECUTER}?module=card&amp;mid={/data/@mid}&amp;action=ReportDealers{$items}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;file=1&amp;output=html">HTML</a>,
			<a title="CSV/ZIP" href="{$WEBEXECUTER}?module=card&amp;mid={/data/@mid}&amp;action=ReportDealers{$items}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;file=1&amp;output=csv&amp;zip=1">CSV/ZIP</a>,
			<a title="HTML/ZIP" href="{$WEBEXECUTER}?module=card&amp;mid={/data/@mid}&amp;action=ReportDealers{$items}&amp;month={/data/date/@month}&amp;year={/data/date/@year}&amp;day_from={/data/date/@day_from}&amp;day_to={/data/date/@day_to}&amp;file=1&amp;output=html&amp;zip=1">HTML/ZIP</a>,
			</div>
		</xsl:if>
		
		<xsl:call-template name="error"/>
		
	<div class="report">

			<xsl:call-template name="pagesBar">
				<xsl:with-param name="node" select="dealers"/>
				<xsl:with-param name="data">
					<xsl:call-template name="action"/>
					<div style="display: none;">
						<xsl:call-template name="ReportFilters"/>
					</div>
				</xsl:with-param>
			</xsl:call-template>

			<xsl:if test="dealers">
				<table border='0' cellspacing='1'>
				<thead>
					<tr>
						<td>/ </td>
						<td> </td>
						<td> </td>
						<td> </td>
						<td> , .</td>
					</tr>
				 </thead>
				 <tbody>
				 <xsl:for-each select="dealers/dealer">
				 	 <tr>
				 	 	<th style="text-align : left ! important; font-weight: bold ! important;" colspan="5">:&#160;<xsl:value-of select="@title"/></th>
				 	 </tr>
				 	 <xsl:for-each select="payment">
						 <tr>
							 <td><xsl:value-of select="@datetime"/></td>
							 <td><xsl:value-of select="@trans"/></td>
							 <td><xsl:value-of select="@contract"/></td>
							 <td><xsl:value-of select="@pt"/></td>
							 <td><xsl:value-of select="@summa"/></td>
						 </tr>
					 </xsl:for-each>
					 
					 <tr>
						<th style="text-align : left ! important; font-weight: bold ! important;" colspan="3">  &#160;<xsl:value-of select="@title"/>:</th>
						<th style="font-weight: bold ! important;"><xsl:value-of select="@totalnumber"/>&#160;.</th>
						<th style="font-weight: bold ! important;"><xsl:value-of select="@totalsumm"/>&#160;.</th>
					 </tr>
				</xsl:for-each>
				</tbody>
				<tfoot>		
				  <tr>
					<td colspan="3">   :&#160;</td>
					<td><xsl:value-of select="dealers/@totalnumber"/>&#160;.</td>
					<td><xsl:value-of select="dealers/@totalsumm"/>&#160;.</td>
				  </tr>   
				 </tfoot>       
				</table>
			</xsl:if>

	</div>

</xsl:template>

</xsl:stylesheet>